<?php
/**
* @name 		Amplify News Ticker Module
* @version 		1.1.0
* @author 		Amplify
* @package		Joomla
* @copyright	Copyright (C) 2008 Amplify
* @license		GNU/GPL
* 
* The Amplify News Ticker provides a mootools fading ticker of your latest news items to your Joomla! site.
*/

// no direct access
defined('_JEXEC') or die('Restricted access');

// include the syndicate functions only once
require_once ( dirname(__FILE__).DS.'helper.php' );

// initalise the news ticker
modAmpNewsTicker::initalise();

$list  		  = modAmpNewsTicker::getList( $params );
$label 		  = trim( $params->get( 'label', '' ) );
$class_suffix = trim( $params->get( 'moduleclass_sfx', '' ) );

// calculate css widths from params
$label_width = $params->get( 'label_width' );
$text_width  = $params->get( 'text_width' );
$total_width = $label_width + $text_width + 14;

require ( JModuleHelper::getLayoutPath( 'mod_ampnewsticker' ) );